Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153291 - RHEL-3 up2date creates rpm -v clutter
Summary: RHEL-3 up2date creates rpm -v clutter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Connor
QA Contact: Beth Nackashi
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-04 15:17 UTC by Neil Horman
Modified: 2014-03-31 01:38 UTC (History)
5 users (show)

Fixed In Version: RHBA-2005-712
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 17:15:49 UTC


Attachments (Terms of Use)
patch of fc-2 spec file change to prevent up2date from recompiling pyc files after install (deleted)
2005-04-04 15:17 UTC, Neil Horman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:712 qe-ready SHIPPED_LIVE up2date bug fix update 2005-09-28 04:00:00 UTC

Description Neil Horman 2005-04-04 15:17:50 UTC
Description of problem:
This is a duplicate ticket of bz#69205.  A customer has noted that when up2date
runs, it recompiles its pyc files, and as such rpm -v reports them as modified.
 This has been corrected in FC-2 forward, and the customer  would like the fix
backported to RHEL-3

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install up2date
2. run up2date
3. run rpm -v up2date
  
Actual results:
up2date modifies its pyc file, and rpm reports the change

Expected results:
up2date should avoid recompiling these files.

Additional info:

Comment 1 Neil Horman 2005-04-04 15:17:51 UTC
Created attachment 112653 [details]
patch of fc-2 spec file change to prevent up2date from recompiling pyc files after install

Comment 6 Adrian Likins 2005-05-16 18:06:55 UTC
u6 will get up2date 4.4.x, which solves this issues

Comment 7 Debbie McGrath 2005-06-08 14:18:49 UTC
This bug is considered MustFix for RHEL 3 U6 by RHN Engineering.

Comment 9 Debbie McGrath 2005-06-21 21:24:35 UTC
Dev & PM ACKs for U6

Comment 13 Beth Nackashi 2005-07-04 16:31:36 UTC
Retested against up2date-4.4.23-3:

[root@test07 root]# rpm -q up2date
up2date-4.4.26-3
[root@test07 root]# up2date -uf

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-i386...

Fetching Obsoletes list for channel: redhat-rhn-proxy-4.0-as-i386-3...

Fetching Obsoletes list for channel: playpen-4AS...

Fetching Obsoletes list for channel: support-4AS...

Fetching Obsoletes list for channel: playpen-3AS...

Fetching Obsoletes list for channel: support-3AS...

Fetching Obsoletes list for channel: playpen-java-3AS...

Name                                    Version        Rel     
----------------------------------------------------------

All packages are currently up to date

[root@test07 root]# rpm -Vf /usr/bin/up2date
SM5....T c /etc/sysconfig/rhn/up2date
S.5....T c /etc/sysconfig/rhn/up2date-uuid

(/etc/sysconfig/rhn/sources is missing ... bug 162071)

This shows that the up2date config files were changed.  This is ok, right?  I
don't have output stating what this should look like ... and since
/usr/share/rhn/up2date_client/up2date.pyc is not in the rpm -Vf output, this bug
is probably fixed.  But I need confirmation that this output is correct.

Comment 14 Bastien Nocera 2005-07-05 13:26:02 UTC
This looks good indeed.

Comment 15 Beth Nackashi 2005-07-05 16:13:03 UTC
thanks, moving to PROD_READY

Comment 16 Todd Warner 2005-09-23 21:44:29 UTC
PROD_READY is a deprecated state. This bug is now RELEASE_PENDING.

Comment 17 Red Hat Bugzilla 2005-09-28 17:15:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-712.html



Note You need to log in before you can comment on or make changes to this bug.